# Package net.axay.kspigot.ipaddress

## Types

BadIPDetectionResult
Link copied to clipboard
enum BadIPDetectionResult : Enum<BadIPDetectionResult>
Content copied to clipboard
BadIPDetectionService
Link copied to clipboard
abstract class BadIPDetectionService(name: String)
Content copied to clipboard
BadIPDetector
Link copied to clipboard
class BadIPDetector(services: List<BadIPDetectionService>)
Content copied to clipboard
IPAddressData
Link copied to clipboard
class IPAddressData(json: JsonObject)
Content copied to clipboard
IPAddressDataLanguage
Link copied to clipboard
enum IPAddressDataLanguage : Enum<IPAddressDataLanguage>
Content copied to clipboard

## Functions

checkIP
Link copied to clipboard
fun Player.checkIP(detector: BadIPDetector = BadIPDetector.DEFAULT, breakOnHit: Boolean = true): Map<BadIPDetectionService, BadIPDetectionResult>
Content copied to clipboard
Checks if the IP address of the player is not a normal residential address.
hasBadIP
Link copied to clipboard
fun Player.hasBadIP(detector: BadIPDetector = BadIPDetector.DEFAULT): Boolean
Content copied to clipboard
Checks if the IP address of the player is not a normal residential address.
ipAddressData
Link copied to clipboard
fun Player.ipAddressData(language: IPAddressDataLanguage = IPAddressDataLanguage.ENGLISH): IPAddressData?
Content copied to clipboard

## Properties

ipAddressData
Link copied to clipboard
val Player.ipAddressData: IPAddressData?
Content copied to clipboard
ipAddressOrNull
Link copied to clipboard
val Player.ipAddressOrNull: String?
Content copied to clipboard